package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_rating_escalation_matrix")
public class MaintRatingEscalationMatrix implements Serializable{ 

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="category_code")
	private String categoryCode;
		
	@Id	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="category_desc")
	private String categoryDesc;
	
	@Column(name="category_score")
	private String categoryScore;
	
	@Column(name="category_for")
	private String categoryFor;
	
	@Column(name="issue_of_losc")
	private String issueOfLosc;
	
	@Column(name="issue_of_hor")
	private String issueOfHor;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getCategoryDesc() {
		return categoryDesc;
	}

	public void setCategoryDesc(String categoryDesc) {
		this.categoryDesc = categoryDesc;
	}

	public String getCategoryScore() {
		return categoryScore;
	}

	public void setCategoryScore(String categoryScore) {
		this.categoryScore = categoryScore;
	}

	public String getCategoryFor() {
		return categoryFor;
	}

	public void setCategoryFor(String categoryFor) {
		this.categoryFor = categoryFor;
	}

	public String getIssueOfLosc() {
		return issueOfLosc;
	}

	public void setIssueOfLosc(String issueOfLosc) {
		this.issueOfLosc = issueOfLosc;
	}

	public String getIssueOfHor() {
		return issueOfHor;
	}

	public void setIssueOfHor(String issueOfHor) {
		this.issueOfHor = issueOfHor;
	}

	
}
